AuFixedPointIntegralAddend(3)

Name
AuFixedPointIntegralAddend - get the integer portion of a fixed point value.

Synopsis
#include <audio/audiolib.h>

AuFixedPointIntegralAddend(fp)
      AuFixedPoint fp;

Arguments

fp  Specifies the fixed point value.

Description
AuFixedPointIntegralAddend returns the integral portion of the fixed point value.

AuFixedPointIntegralAddend is implemented as a macro.

See Also
AuFixePointFractionalAddend, AuFixePointFromFraction, AuFixePointFromSum, AuFixePointRoundDown, AuFixePointRoundUp.

audiolib - Network Audio System C Language Interface